%define upstream_name    Text-MicroTemplate
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    A file-based template manager
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Text::MicroTemplate is a standalone, fast, intelligent, extensible template
engine with following features.

standalone
    Text::MicroTemplate does not rely on other CPAN modules.

fast
    Based on the Mojo::Template manpage, expressions in the template is
    perl code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.240.0-9.mga10
+ Revision: 2204782
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.240.0-8.mga9
+ Revision: 1810462
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.240.0-7.mga8
+ Revision: 1506702
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.240.0-6.mga7
+ Revision: 1286972
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.240.0-5.mga7
+ Revision: 1166960
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.240.0-4.mga7
+ Revision: 1159418
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.240.0-3.mga6
+ Revision: 1034983
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.240.0-2.mga6
+ Revision: 968212
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.240.0-1.mga6
+ Revision: 851529
- update to 0.24

* Sat Oct 18 2014 umeabot <umeabot> 0.200.0-5.mga5
+ Revision: 788167
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 747070
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 686634
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 528751
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.200.0-1.mga4
+ Revision: 447142
- update to 0.20

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 374124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.190.0-1.mga3
+ Revision: 317762
- update to 0.19

* Mon Oct 08 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 303510
- imported package perl-Text-MicroTemplate


* Mon Oct 08 2012 cpan2dist 0.18-1mga
- initial mageia release, generated with cpan2dist
